### Virtual Method

# PapersDocument DocumentText get_text_layout

#### Declaration [src]

    gboolean
    get_text_layout (
      PpsDocumentText* document_text,
      PpsPage* page,
      PpsRectangle** areas,
      guint* n_areas
    )

#### Description

No description available.

#### Parameters

`page`

  Type: `PpsPage`

  A `PpsPage`.

  The data is owned by the caller of the method.

`areas`

  Type: An array of `PpsRectangle*`

  The text areas of the layout.

  The argument will be set by the function.
  The argument can be `NULL`.
  The length of the array is specified in the `n_areas` argument.
  The caller of the method takes ownership of the returned data container, but not the data inside it.

`n_areas`

  Type: `guint*`

  The number of text areas in the layout.

  The argument will be set by the function.

#### Return value

Type: `gboolean`

Whether the text layout is empty, i.e. there is text on the page.